"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const image_proccessor_1 = __importDefault(require("./image-proccessor"));
function useFilehookStyles(options) {
    return function middleware(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            // Extract the query-parameter
            const styleName = req.params.style;
            const blobKey = req.params.blobKey;
            const style = options.styles[styleName];
            if (!style) {
                console.error(`Style: '${styleName}' is not declared`);
                res.sendStatus(404);
                return;
            }
            const relativePath = path_1.default.join(blobKey.substring(0, 2), blobKey.substring(2, 4), blobKey);
            if (!(yield options.storage.exists(relativePath))) {
                console.error(`File: '${relativePath}' is not found`);
                res.sendStatus(404);
                return;
            }
            const stream = yield options.storage.getStream(relativePath);
            // Get the resized image
            image_proccessor_1.default(stream, style).pipe(res);
        });
    };
}
exports.useFilehookStyles = useFilehookStyles;
//# sourceMappingURL=filehook-middleware.js.map