"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = __importDefault(require("url"));
const request_1 = require("request");
class HttpStorage {
    constructor(rootUrl) {
        this.rootUrl = rootUrl;
    }
    exists(fileRelativePath) {
        const filePath = url_1.default.resolve(this.rootUrl, fileRelativePath);
        return new Promise((resolve, reject) => {
            request_1.get(filePath)
                .on('response', (response) => {
                if (response.statusCode == 200) {
                    return resolve(true);
                }
                return resolve(false);
            })
                .on('error', (err) => {
                console.log(err);
                return reject();
            });
        });
    }
    getStream(fileRelativePath) {
        const filePath = url_1.default.resolve(this.rootUrl, fileRelativePath);
        return request_1.get(filePath)
            .on('response', (response) => {
            if (response.statusCode == 404) {
                return;
            }
        })
            .on('error', (err) => {
            console.log(err);
        });
    }
}
exports.HttpStorage = HttpStorage;
//# sourceMappingURL=http-storage.js.map