"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const apicache_1 = require("apicache");
const index_1 = require("../index");
const server = express_1.default();
const options = {
    styles: {
        xsmall: {
            width: 300
        },
        small: {
            width: 768
        },
        medium: {
            width: 1024,
            height: 768
        },
        'medium-blurred': {
            width: 1024,
            transform: (transformer) => { return transformer.blur(10); }
        },
    },
    // storage: new HttpStorage('https://pp.userapi.com')
    storage: new index_1.LocalStorage('../filehook/sample/Filehook.Samples.AspNetCoreMvc/wwwroot/public/storage')
};
server.get('/filehook/:style/:blobKey', apicache_1.middleware('1 hour'), index_1.useFilehookStyles(options));
server.listen(process.env.NODE_ENV, () => {
    console.log(`Filehook proccessor started on port: '${process.env.NODE_ENV}'`);
});
//# sourceMappingURL=server.js.map